Bug 17774 - Direct to port printer does not work
Direct to port printer does not work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: printtool (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
http://www.linuxprinting.org/howto/ne...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-21 12:04 EDT by ingvar
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-23 18:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ingvar 2000-09-21 12:04:26 EDT
Running Red Hat 6.2 with kernel 2.2.16-3, and printtool-3.44-1.
Want to use an old HP LaserJet III si with PostScript and hooked directly
to the network. This printer has no built-in lpd daemon, but listens to
port 9100 as described in the Printing Howto at
http://www.linuxprinting.org/howto/network.html#NETWORKED-PRINTERS , in
section 11.5.1. 

For testing, the perl script on that page works (with a little hacking, one
has to remove the use of the variables $dpi300 and $dosCr ).

Using printtool, I select "Add", "Direct to port printer", and fill in the
fields "Names" (snorre), "Spool Directory" (/var/spool/lpd/snorre), "File
Limit" (0), "Hostname of Printer" (snorre), "Port number" (9100), "Input
Filter" (*auto* - PostScript with 300x300 and a4) and "Suppress Headers"
(on). 

The printer is correctly set up, answers on `telnet snorre 9100` , and
sending PostScript code to this port with the mentioned perl script prints
wonderfully. But the lpd daemon, set up (and restarted, of course) with the
settings mentioned over, does not seem to send anything at all. When
spooling something with lpr -Psnorre something.ps , it just disappears.
Nothing in the queue, nothing in /var/log/messages. Adding a
:lf=/var/log/printlog:\ line to the printcap reveals absolutely nothing in
the print log either. 

It may be possible to hack the perl script on the page to be used as a
filter, but I think it would be a better solution to make printtool behave
as one would expect.

Regards,
Ingvar Hagelund
ingvar@unik.no
Comment 1 Need Real Name 2000-09-23 00:06:54 EDT
/usr/lib/rhs/rhs-printfilters/directprint is missing. 

* Wed Apr 19 2000 Bill Nottingham <notting@redhat.com>
 - add directprint file. *oops*
Comment 2 ingvar 2000-09-23 18:01:32 EDT
Just for the record: Will a fix come as an updated rpm? Will it be in RedHat
7.0?

Ingvar
Comment 3 Need Real Name 2000-09-23 18:39:23 EDT
/usr/lib/rhs/rhs-printfilters/directprint is missing. 

* Wed Apr 19 2000 Bill Nottingham <notting@redhat.com>
 - add directprint file. *oops*

Note You need to log in before you can comment on or make changes to this bug.